#
# spec file for package xvinfo
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xvinfo
Version:        1.1.3
Release:        2.3
Summary:        Utility to print X-Video extension adaptor information
License:        X11
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xv)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xvinfo prints out the capabilities of any video adaptors associated
with the display that are accessible through the X-Video extension.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xvinfo
%{_mandir}/man1/xvinfo.1%{?ext_man}

%changelog
* Mon May  4 2015 sndirsch@suse.com
- Use progname for error messages as well
  * Convert sprintf call to use snprintf
  * Make ImageEncodings unsigned
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Print which option was in error along with usage message
  * Use real program name for help message
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Mon Feb 25 2013 zaitor@opensuse.org
- Update to version 1.1.2:
  + Add -version option.
  + Add explicit braces to clarify which if the else goes with.
  + Convert from haphazard indenting to X.Org common style.
  + Add _X_NORETURN to PrintUsage to clear gcc/clang warnings.
  + config:
  - Add missing AC_CONFIG_SRCDIR.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Move man pages into their own directory.
    man: remove trailing spaces and tabs.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xvinfo from xorg-x11. Initial version: 1.1.1.
